/*
 *
 * {{ properCase name }} reducer
 *
 */
import produce from 'immer';
import { merge } from '../../utils/object' 
import { 
  {{ redux_constant name }}_MERGE
} from './constants';

export const initialState = {
  records: null,
  isLoading: false,
  isUpdated: false,
  error: '',
  message: '', // status messaging
  item: {},
  id: '', // active id for item
  queryString: '' // query string for api call
}

/* eslint-disable default-case, no-param-reassign */
const {{ camelCase name }}Reducer = (state = initialState, action) =>
  produce(state, draft => {
    switch (action.type) {
      case {{ redux_constant name }}_MERGE:
        return merge(draft, action.payload)
    }
    return draft
  });

export default {{ camelCase name }}Reducer;
